package models

import (
	"time"
)

type ScrapeHistory struct {
	ScrapeTaskID string    `json:"scrape_task_id" gorm:"primaryKey"`
	UserSourceID string    `json:"user_source_id" gorm:""`
	CreatedAt    time.Time `json:"created_at" gorm:""`
	FinishedAt   time.Time `json:"finished_at" gorm:"null"`
	Error        string    `json:"error" gorm:"null"`
	AddedPosts   int       `json:"added_posts" gorm:"not null"`
	DeletedPosts int       `json:"deleted_posts" gorm:"not null"`
}

func (ScrapeHistory) TableName() string {
	return "ScrapeHistory"
}
